Si usas plugins NPAPI (Java, Silverlight) no actualices a Firefox 53

Escrito por Rubén Velasco
Redes
0

Los plugins NPAPI (Netscape Plugin Application Programming Interface) son un tipo de extensiones para los navegadores web que, hace años, permitían a las páginas contener contenidos que, de otra manera, no hubieran podido incorporar. Sin embargo, los tiempos cambian, y actualmente estos plugins no solo son innecesarios al poder disponer de sus funciones a través de los estándares actuales, sino que además suponen un grave riesgo al ser extensiones muy vulnerables. Sin embargo, a pesar de que cada vez menos navegadores funcionan con ellos, muchas webs se niegan a actualizarse, no pudiendo utilizarlas si no utilizamos un navegador compatible con este tipo de plugins.

El pasado miércoles Mozilla lanzaba una nueva versión de su navegador web, Firefox 53. Esta ha sido, sin duda, una versión muy polémica, principalmente, por un aspecto, y es que es la primera vez que Mozilla ha dejado de dar soporte a varios sistemas operativos con una importante cuota de mercado, Windows XP, Windows Vista, los sistemas macOS de 32 bits y los sistemas Linux con procesadores antiguos.

Además, esta nueva versión también es la primera que, definitivamente, ha acabado con la compatibilidad con los conocidos plugins NPAPI de cara a poder seguir el camino que el navegador lleva tomando varios meses hacia un nuevo proyecto mucho más seguro, moderno y ligero. Aunque cuando se lanzó Firefox 52 estos plugins se deshabilitaron por defecto y había que habilitarlos manualmente desde la versión ESR del navegador, a partir de ahora, el soporte para estas extensiones ha desaparecido por completo, siendo la única versión que los sigue soportando, como hemos dicho, Firefox 52 ESR.

Firefox 52.0.1

Por suerte (o por desgracia), Flash es el único plugin NPAPI que aún sigue funcionando y, de momento, no tiene planes de desaparecer.

Cómo evitar actualizar a Firefox 53 para poder utilizar Java, Silverlight y cualquier otro plugin NPAPI

Si aún no has actualizado a esta nueva versión, os recomendamos seguir el siguiente artículo donde explicamos cómo cambiar la rama de actualizaciones a la versión ESR de soporte extendido para poder utilizar estos plugins.

Si por el contrario ya actualizaste al nuevo Firefox 53, lo único que queda por hacer es descargar Firefox 52 ESR, desinstalar la versión que tenemos instalada en nuestro ordenador e instalar de nuevo la nueva versión ESR. Eso sí, se recomienda borrar por completo el perfil y volverlo a crear en el nuevo navegador, ya que el perfil existente puede dar problemas. Incluso con la sincronización es posible que no todo funcione como es debido, ya que Mozilla también ha introducido cambios en su servidor de sincronización, cambios que no están disponibles en las versiones anteriores a Firefox 53.

Esta versión será totalmente funcional hasta finales de año, pero, cuando se lance la próxima actualización ESR, que será Firefox 59, a principios de 2018, entonces ya no sí que no podremos utilizar de ninguna manera estos plugins, salvo que corramos los riesgos de seguir utilizando Firefox 52 ESR sin soporte ni actualizaciones.

Como ya hemos dicho, Flash, de momento, seguirá funcionando en todas las versiones de Firefox, aunque tarde o temprano, como el resto de plugins NPAPI, terminará por desaparecer. Y entones Internet será un lugar mucho más seguro.

¿Utilizas alguna web o algún servicio que dependa de plugins NPAPI para su correcto funcionamiento?


Últimos análisis

Valoración RZ
10
Valoración RZ
7
Valoración RZ
9
Valoración RZ
10
Valoración RZ
8
Valoración RZ
10
Valoración RZ
9
Valoración RZ
9
Valoración RZ
10